%define modname braille
%define soname %{modname}.so
%define inifile A65_%{modname}.ini

Summary:	Functions to control a braille display (and keyboard), based on libbraille
Name:		php-%{modname}
Version:	0.1.0
Release:	%mkrel 8
Group:		Development/PHP
License:	PHP License
URL:		http://braille.php-baustelle.de/trac/
Source0:	http://braille.php-baustelle.de/downloads/Releases/%{modname}-%{version}.tgz
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	file
BuildRequires:	libbraille-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Functions to control a braille display (and keyboard), based on libbraille.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# fix permissions
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_libdir}/php/extensions

install -m0755 modules/%{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS EXPERIMENTAL package*.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Sun Mar 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-8mdv2009.1
+ Revision: 346398
- rebuilt for php-5.2.9

* Tue Feb 17 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-7mdv2009.1
+ Revision: 341711
- rebuilt against php-5.2.9RC2

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-6mdv2009.1
+ Revision: 321706
- rebuild

* Fri Dec 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-5mdv2009.1
+ Revision: 310252
- rebuilt against php-5.2.7

* Fri Jul 18 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-4mdv2009.0
+ Revision: 238378
- rebuild

* Mon Feb 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-3mdv2008.1
+ Revision: 162213
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 11 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-2mdv2008.1
+ Revision: 107607
- restart apache if needed

* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-1mdv2008.0
+ Revision: 79450
- Import php-braille



* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-1mdv2008.0
- initial Mandriva package
